# Webwidget for selling tickets to events through the BIL24 ticketing system.

## Overview

Congratulations! If you are reading this file, you have received a licensed copy of our legendary webwidget and can now sell tickets to events through your website or social networks and receive commissions from the **BIL24** ticketing system.

The web-widget can be used to sell merchandise or other products.

## Install

To install a webwidget on your site, you need to download and place the **bilorder** folder in the root directory of the site.

## Creating a Link

To create a selling link, you must enter the **BIL24 Manager** application with the rights of an **Agent** or **Operator**, open the **Widget tab** and fill in the required fields.

Link parameters:
* **Certain event** URL: /bilorder/#/
  * frontendId: Interface identifier in the BIL24 system (website or other interface)
  * token: Interface token (password)
  * zone: Operating mode (**test** for testing or **real** for production, if not specified: **test**)
  * id: Event identifier in the BIL24 system
  * cityId: City identifier in the BIL24 system
  * venueId: Venue identifier in the BIL24 system (optional, if not specified: **1** - all venues)
  * success: URL to redirect on successful purchase (default: **https://bilw.ru/pay_s.html**)
  * fail: URL to redirect on failed purchase (default: **https://bilw.ru/pay_f.html**)
  * agr: Offer page URL (default: **https://bilw.ru/agreement.html**)
  * bank: Whether to open the bank page in a new tab (optional, **1** - new tab, default: in the same tab)
  * goods: Tickets, or goods (optional, **goods** - for goods, default: tickets)
  * orpheo: Whether to check tickets for an audio guide (optional, **1** - check, default: do not check)
  * lng: Data language (optional, default: **ru**)

* **Event list** URL: /bilorder/city/#/
  * frontendId: Interface identifier in the BIL24 system (website or other interface)
  * token: Interface token (password)
  * zone: Operating mode (**test** for testing or **real** for production, if not specified: **test**)
  * cityId: City identifier in the BIL24 system
  * venueId: Venue identifier in the BIL24 system (optional, if not specified: **1** - all venues)
  * kindId: Kind identifier in the BIL24 system (optional, if not specified: **1** - all kinds)
  * success: URL to redirect on successful purchase (default: **https://bilw.ru/pay_s.html**)
  * fail: URL to redirect on failed purchase (default: **https://bilw.ru/pay_f.html**)
  * agr: Offer page URL (default: **https://bilw.ru/agreement.html**)
  * goods: Tickets, or goods (optional, **goods** - for goods, default: tickets)
  * lng: Data language (optional, default: **ru**)

## Helpful Links

* [BIL24 Docs](https://bil24.pro/index.html)
* [Manager Docs](https://bil24.pro/manager.html)
* [Webwidget Docs](https://bil24.pro/webwidget.html)


- - -
© 2022 npoxop.sochi - BIL24. All Rights Reserved.
