/**  _     _ _               _           
 *  | |__ (_) | ___  _ __ __| | ___ _ __ 
 *  | '_ \| | |/ _ \| '__/ _` |/ _ \ '__|
 *  | |_) | | | (_) | | | (_| |  __/ |   
 *  |_.__/|_|_|\___/|_|  \__,_|\___|_|   
 */
(function(){
	'use strict';
	$.fancybox.defaults.touch = false;
	
	function isActive(url){
		return window.location.href.indexOf(url) != -1 ? true : false;
	};
	
	angular.module('bilpro')
		.config(['growlProvider', function(growlProvider){growlProvider.globalTimeToLive(5000)}])
		.controller('bilHeader', bilHeader);
	
	function bilHeader(
		$rootScope,
		$scope,
		$location,
		$localStorage,
		$interval,
		growl,
		Request
	){
		let S = $scope,
				L = $location,
				LS = $localStorage,
				R = Request;
				
		S.config = S.$parent.config;
		S.menu = {};
		
		S.openMenu = function(){
			if (typeof LS.userId !== 'undefined' || LS.userId) {
				{
					S.menu.orders = 0;
					let request = R.GetRequest($.B24.params({command: 'GET_ORDERS'}, S.config, LS));
					if (request) {
						request.$promise.then(function(response){
							if (response.resultCode != 0) {
								let message = response.description;
								if (S.config.devel) message = $.B24.Message(response).join('<br/>');
								growl.error(message);
							
							} else {
								for (let i in response.orderList) {
									if (response.orderList[i].statusExtInt == 0) {
										S.menu.orders++;
									}
								}
								if (S.menu.orders) {
									$('.ordersCount').removeClass('none').html(S.menu.orders);
								}
							}
						}, function(response){console.log(response)});
					}
				}
				{
					S.menu.tickets = 0;
					let request = R.GetRequest($.B24.params({command: 'GET_ACTION_EVENTS_GROUPED_BY_TICKETS'}, S.config, LS));
					if (request) {
						request.$promise.then(function(response){
							if (response.resultCode != 0) {
								let message = response.description;
								if (S.config.devel) message = $.B24.Message(response).join('<br/>');
								growl.error(message);
							
							} else {
								for (let i in response.list) {
									S.menu.tickets += response.list[i].quantity;
								}
								if (S.menu.tickets) {
									$('.ticketsCount').removeClass('none').html(S.menu.tickets);
								}
							}
						}, function(response){console.log(response)});
					}
				}
				{
					S.menu.promocodes = 0;
					let request = R.GetRequest($.B24.params({command: 'GET_PROMO_CODES'}, S.config, LS));
					if (request) {
						request.$promise.then(function(response){
							if (response.resultCode != 0) {
								let message = response.description;
								if (S.config.devel) message = $.B24.Message(response).join('<br/>');
								growl.error(message);
							
							} else {
								for (let i in response.promoPackList) {
									let pack = response.promoPackList[i];
									if (pack.activeNow) {
										for (let i in pack.promoCodeList) {
											let code = pack.promoCodeList[i];
											if (!code.used && !code.spent) {
												S.menu.promocodes++;
											}
										}
									}
								}
								if (S.menu.promocodes) {
									$('.promocodesCount').removeClass('none').html(S.menu.promocodes);
								}
							}
						}, function(response){console.log(response)});
					}
				}
				{
					S.menu.mecs = 0;
					let request = R.GetRequest($.B24.params({command: 'GET_MECS', sizeQrCode: 400, widthBarCode: 400, heightBarCode: 125}, S.config, LS));
					if (request) {
						request.$promise.then(function(response){
							if (response.resultCode != 0) {
								let message = response.description;
								if (S.config.devel) message = $.B24.Message(response).join('<br/>');
								growl.error(message);
							
							} else {
								S.menu.mecs = response.list.length;
								if (S.menu.mecs) {
									$('.mecsCount').removeClass('none').html(S.menu.mecs);
								}
							}
						}, function(response){console.log(response)});
					}
				}
			}
			
			let page = $('body').is('.home-page') ? '' : '../',
					menu = [];
			menu.push('<ul class="menu">');
			
			if (typeof S.config.event === 'undefined') {
				menu.push('<li class="menuItem">');
				if (isActive('/city/')) {
					menu.push('<span>' + S.translate.menu.events + '</span>');
				} else {
					menu.push('<a href="' + $.B24.href(S.config, page + 'city/', {}) + '">' + S.translate.menu.events + '</a>');
				}
				menu.push('</li>');
			}
			
			if (typeof LS.userId !== 'undefined' && LS.userId) { // if user is authorized
				menu.push('<li class="menuItem">');
				if (isActive('/orders/')) {
					menu.push('<span>' + S.translate.menu.orders + '</span>');
				} else {
					menu.push('<a href="' + $.B24.href(S.config, page + 'orders/', {}) + '">' + S.translate.menu.orders + '</a>');
				}
				menu.push('<i class="ordersCount DIG none"></i>');
				menu.push('</li>');
				
				menu.push('<li class="menuItem">');
				if (isActive('/tickets/')) {
					menu.push('<span>' + S.translate.menu.tickets + '</span>');
				} else {
					menu.push('<a href="' + $.B24.href(S.config, page + 'tickets/', {}) + '">' + S.translate.menu.tickets + '</a>');
				}
				menu.push('<i class="ticketsCount DIG none"></i>');
				menu.push('</li>');
				
				menu.push('<li class="menuItem">');
				if (isActive('/mecs/')) {
					menu.push('<span>' + S.translate.menu.mecs + '</span>');
				} else {
					menu.push('<a href="' + $.B24.href(S.config, page + 'mecs/', {}) + '">' + S.translate.menu.mecs + '</a>');
				}
				menu.push('<i class="mecsCount DIG none"></i>');
				menu.push('</li>');
				
				menu.push('<li class="menuItem">');
				if (isActive('/promocodes/')) {
					menu.push('<span>' + S.translate.menu.promocodes + '</span>');
				} else {
					menu.push('<a href="' + $.B24.href(S.config, page + 'promocodes/', {}) + '">' + S.translate.menu.promocodes + '</a>');
				}
				menu.push('<i class="promocodesCount DIG none"></i>');
				menu.push('</li>');
			}
			
			menu.push('<li class="menuItem"><a href="' + S.config.agr + '" target="_blank">' + S.translate.menu.agreement + '</a></li>');
			menu.push('</ul>');
			$.fancybox.open(menu.join(''));
		};
		
		S.openAuth = function(){
			$.B24.OpenAuth(R, S, growl, LS);
		};
		
		S.openBasket = function(){
			$rootScope.$broadcast('openBasket');
		};
		
		S.SetEmail = function(){
			S.formError = false;
			if (typeof S.email === 'undefined') {
				S.formError = true;
				S.formMessage = S.translate.email.form.bind.required;
			} else if (S.email == S.config.oldEmail) {
				S.formError = true;
				S.formMessage = S.translate.email.form.bind.confirmed;
			} else {
				S.formMessage = S.translate.email.form.bind.send + ' ' + S.email;
				let request = R.GetRequest($.B24.params({command: 'BIND_EMAIL', email: S.email}, S.config, LS));
				if (request) {
					request.$promise.then(function(response){
						if (response.resultCode != 0) {
							S.formError = true;
							S.formMessage = response.description;
						
						} else {
							S.confirm = true;
						}
					}, function(response){console.log(response)});
				}
			}
		};
		
		S.ConfirmEmail = function(){
			S.formError = false;
			let request = R.GetRequest($.B24.params({command: 'CONFIRM_EMAIL', code: S.code}, S.config, LS));
			if (request) {
				request.$promise.then(function(response){
					if (response.resultCode != 0) {
						S.formError = true;
						S.formMessage = response.description;
					
					} else {
						S.config.email = S.email = response.email;
						growl.success(S.translate.email.form.confirm.success);
						S.confirm = false;
						if (LS.userId != response.userId || LS.sessionId != response.sessionId) {
							LS.userId = response.userId;
							LS.sessionId = response.sessionId;
							location.reload();
						}
					}
				}, function(response){console.log(response)});
			}
		};
	};
})();
